# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf import settings
from django.conf.urls import patterns, include, url
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

import autocomplete_light
autocomplete_light.autodiscover()

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^$', 'coin.members.views.index', name='home'),

    #url(r'^members/password/$', 'django_ldapbackend.views.password_change'),
    #url(r'^members/password/changed/$',
    #    'django.contrib.auth.views.password_change_done'),

    url(r'^members/', include('coin.members.urls', namespace='members')),
    url(r'^billing/', include('coin.billing.urls', namespace='billing')),
    url(r'^subscription/', include('coin.offers.urls', namespace='subscription')),
    url(r'^vpn/', include('coin.vpn.urls', namespace='vpn')),

    url(r'^admin/', include(admin.site.urls)),

    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    
    url(r'^autocomplete/', include('autocomplete_light.urls')),

)

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

